dry-run:argo:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "argo"
  script:
    - helm lint --strict argo
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "argo"
      changes:
        - argo/**/*

dry-run:data-praha:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "data-praha"
  script:
    - helm lint --strict data-praha
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "data-praha"
      changes:
        - data-praha/**/*

dry-run:data-proxy:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "data-proxy"
  script:
    - helm lint --strict data-proxy
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "data-proxy"
      changes:
        - data-proxy/**/*

dry-run:data-tools:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "data-tools"
  script:
    - helm lint --strict data-tools
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "data-tools"
      changes:
        - data-tools/**/*

dry-run:golemio:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "golemio"
  script:
    - helm lint --strict golemio
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "golemio"
      changes:
        - golemio/**/*

dry-run:golemiocz:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "golemiocz"
  script:
    - helm lint --strict golemiocz
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "golemiocz"
      changes:
        - golemiocz/**/*

dry-run:golemio-bi:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "golemio-bi"
  script:
    - helm lint --strict golemio-bi
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "golemio-bi"
      changes:
        - golemio-bi/**/*

dry-run:lkod:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "lkod"
  script:
    - helm lint --strict lkod
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "lkod"
      changes:
        - lkod/**/*

dry-run:mapk2o:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "mapk2o"
  script:
    - helm lint --strict mapk2o
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "mapk2o"
      changes:
        - mapk2o/**/*

dry-run:permission-services:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "permission-services"
  script:
    - helm lint --strict permission-services
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "permission-services"
      changes:
        - permission-services/**/*

dry-run:pcdc:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "pcdc"
  script:
    - helm lint --strict pcdc
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "pcdc"
      changes:
        - pcdc/**/*

dry-run:pragozor:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "pragozor"
  script:
    - helm lint --strict pragozor
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "pragozor"
      changes:
        - pragozor/**/*

dry-run:pragozor-v2:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "pragozor-v2"
  script:
    - helm lint --strict pragozor-v2
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "pragozor-v2"
      changes:
        - pragozor-v2/**/*

dry-run:performance-tests:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "performance-tests"
  script:
    - helm lint --strict performance-tests
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "performance-tests"
      changes:
        - performance-tests/**/*

dry-run:praha-dopravni:
  stage: test
  image:
    name: $JOB_HELM_IMAGE
  variables:
    HELM_NAME: "praha-dopravni"
  script:
    - helm lint --strict praha-dopravni
  rules:
    - if: $K8S_CLUSTER != "production" && $HELM_NAME == "praha-dopravni"
      changes:
        - praha-dopravni/**/*
